<?
include 'mysql.php';
Error_Reporting(E_ALL);
$_title = 'Lineage2';
include_once("inclydings/sesi.php");
include 'inclydings/header.php';
include 'inclydings/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {

switch($go) {

default:

if(empty($udata[23])){echo"Вы не в клане!";}else{

echo"Нажмите на еще чтобы её взять.<br/>";


if(@file("L2dbnam/esql2db/clan/sklad/$udata[23].dat")){

$file = @file("L2dbnam/esql2db/clan/sklad/$udata[23].dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("L2dbnam/esql2db/clan/sklad/$udata[23].dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);

echo"<a href=\"sclan.php?$sd&id=$i&name=$data[4]&go=me\">$data[4]</a>- ($data[2]) [+$data[0]]<br/>";
}}else{echo"На складе нет вещей.";}



if ($start != 0) {echo '<a href="sclan.php?start='.($start - 5).'&'.$sd.'">Назад</a> ';}
if ($total > $start + 5) {echo ' <a href="sclan.php?start='.($start + 5).'&'.$sd.'">Далее</a>';}
}
break;

case 'me':

$id=$_GET['id'];
$name=$_GET['name'];

$file = @file("L2dbnam/esql2db/clan/sklad/$udata[23].d  ");
$file = array_reverse($file);
$data = explode(":||:",$file[$id]);

if($name!==$data[4]){echo"На складе нет такой вещи!"; include_once"inclydings/down.php"; exit;}

//////////////////////////////////////////

$text=''.$data[0].':||:'.$data[1].':||:'.$data[2].':||:'.$data[3].':||:'.$data[4].':||:';

$fp=fopen("L2dbnam/esql2db/clan/sklad/$udata[23].dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);



$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Вы успешно забрали вещь со склада.";

break;
}
}else{echo"Пароль или ник неверен. Возможно сессия устарела. Попробуйте авторизироваться заново.";}

include_once"inclydings/down.php";
?>

